<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <title>Exercise 1</title>
</head>
<style>
    .btn {
        display: inline-block;
        text-decoration: none;
        padding: 15px 10px;
        color: red;
        border: 1px solid red;
        border-radius: 5px;
    }
</style>

<body>
    <a id="first-button" href="#" class="btn">Click me!</a>

    <!--   Сделайте так, чтобы при первом клике на кнопку ее
фон менялся на красный, цвет текста -на белый,
а текст внутри кнопки на "Eat me!".
При повторном клике все возвращалось обратно.
   Код нужно писать руками, а не копировать из примера. -->

    <script>
        const button = document.getElementById('first-button')
        console.log(button)
        button.addEventListener('click', function(){
            if(button.textContent === "Click me"){
            button.style.backgroundColor = "red"
            button.style.color = "white"
            button.innerText = "Eat me "
            } else {
                button.style.backgroundColor = "white"
                button.style.color = "red"
                button.textContent = "Click me"
            }

        })
        </script>
</body>

</html>